## srst2 0.1.8

=== debian/changelog ===
srst2 (0.1.8-1) unstable; urgency=low

  * Initial release (Closes: #826111)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jun 2016 12:09:06 +0200
