=== debian/control ===
Source: srst2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-markdown,
               dos2unix,
               python-mock,
               python-scipy,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/srst2/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/srst2/trunk/
Homepage: https://katholt.github.io/srst2/

Package: srst2
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         bowtie2,
         cd-hit,
         samtools,
         python-scipy,
         python-biopython
Description: Short Read Sequence Typing for Bacterial Pathogens
 This program is designed to take Illumina sequence data, a MLST database
 and/or a database of gene sequences (e.g. resistance genes, virulence
 genes, etc) and report the presence of STs and/or reference genes.
