## srst2 0.2.0

=== debian/changelog ===
srst2 (0.2.0-13) unstable; urgency=medium

  * syntax-warning.patch: new: fix Python SyntaxWarning. (Closes: #1087097)
  * d/patches/*: normalize last update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Thu, 05 Dec 2024 22:13:26 +0100

srst2 (0.2.0-12) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * Build-depend on discount instead of markdown (Closes: #1073104)

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Jun 2024 09:35:28 +0900

srst2 (0.2.0-11) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove dependency on python3-mock

  [ Andreas Tille ]
  * Add support for loong64 for autopkgtest
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 21:10:58 +0100

srst2 (0.2.0-10) unstable; urgency=medium

  * d/clean: relax glob to clean *README*.html (Closes: #1046135)
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Dec 2023 13:55:14 +0100

srst2 (0.2.0-9) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control: updated uploader address
  * d/control: standard version 4.5.1
  * d/watch: repaired broken github uscan statement

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Exclude Salsa CI build for i386

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 08:03:38 +0200

srst2 (0.2.0-8) unstable; urgency=medium

  [ Étienne Mollier ]
  * Add myself to Uploaders.
  * Add patch biopython-1.78 for compatibility with Bio.Alphabet removal.
  * Bump watch file to version 4.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Andreas Tille ]
  * Restrict test architectures to those where bowtie2 is available

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 10 Nov 2020 15:50:29 +0100

srst2 (0.2.0-7) unstable; urgency=medium

  * Use 2to3 to port from Python2 to Python3
    Closes: #938560
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Use markdown instead of python-markdown

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2019 17:08:14 +0100

srst2 (0.2.0-6) unstable; urgency=medium

  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 21:22:27 +0200

srst2 (0.2.0-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2017 13:46:20 +0100

srst2 (0.2.0-4) unstable; urgency=medium

  * Do not fail if search string contains special shell characters
    Closes: #856479

 -- Andreas Tille <tille@debian.org>  Wed, 01 Mar 2017 14:23:12 +0100

srst2 (0.2.0-3) unstable; urgency=medium

  * Make sure Python scripts are executable if they are called via symlink
    Closes: #856018

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 11:19:43 +0100

srst2 (0.2.0-2) unstable; urgency=medium

  * Fix Python syntax error
    Closes: #836198

 -- Andreas Tille <tille@debian.org>  Thu, 01 Sep 2016 09:46:14 +0200

srst2 (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Recommends: python-rpy2

 -- Andreas Tille <tille@debian.org>  Tue, 09 Aug 2016 16:57:15 +0200

srst2 (0.1.8-2) unstable; urgency=medium

  * Build-Depends: bowtie2, samtools
    Closes: #831887

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jul 2016 08:18:05 +0200
