=== debian/control ===
Source: srst2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-setuptools,
               discount <!nodoc>,
               dos2unix,
               python3-scipy <!nocheck>,
               bowtie2 <!nocheck>,
               samtools <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/srst2
Vcs-Git: https://salsa.debian.org/med-team/srst2.git
Homepage: https://katholt.github.io/srst2/
Rules-Requires-Root: no

Package: srst2
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         bowtie2,
         cd-hit,
         samtools,
         python3-scipy,
         python3-biopython
Recommends: python3-rpy2
Description: Short Read Sequence Typing for Bacterial Pathogens
 This program is designed to take Illumina sequence data, a MLST database
 and/or a database of gene sequences (e.g. resistance genes, virulence
 genes, etc) and report the presence of STs and/or reference genes.
