=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-mock
Restrictions: allow-stderr
# Restrict test architectures to those where bowtie2 is available
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 sh4
